> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/2.1/for-developers/rest-api/core/proxy/rename-an-edge-instance-or-enable-or-disable-it.md).

# Rename an edge instance, or enable or disable it

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.1.0"},"tags":[{"name":"proxy","description":"Edge (proxy) instances, their TLS and ACME setup."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"ProxyUpdateData":{"type":"object","required":["name","enabled"],"properties":{"enabled":{"type":"boolean"},"name":{"type":"string"}}},"Proxy":{"type":"object","required":["id","name","address","port","enabled","modified_at","modified_by"],"properties":{"address":{"type":"string"},"certificate_expiry":{"type":["string","null"],"format":"date-time"},"certificate_serial":{"type":["string","null"]},"connected_at":{"type":["string","null"],"format":"date-time"},"core_client_cert_expiry":{"type":["string","null"],"format":"date-time"},"disconnected_at":{"type":["string","null"],"format":"date-time"},"enabled":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"modified_at":{"type":"string","format":"date-time"},"modified_by":{"type":"string"},"name":{"type":"string"},"port":{"type":"integer","format":"int32"},"version":{"type":["string","null"]}}},"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/proxy/{proxy_id}":{"put":{"tags":["proxy"],"summary":"Rename an edge instance, or enable or disable it","operationId":"update_proxy","parameters":[{"name":"proxy_id","in":"path","description":"ID of the edge instance.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProxyUpdateData"}}},"required":true},"responses":{"200":{"description":"Edge instance updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Proxy"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Edge instance not found."},"500":{"description":"Unable to update edge instance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
